nvme_create_ctrl(2)

NAME
nvme_create_ctrl - Allocate an unconnected NVMe controller

SYNOPSIS
nvme_ctrl_t nvme_create_ctrl (nvme_root_t r , const char *subsysnqn , const char *transport , const char *traddr , const char *host_traddr , const char *host_iface , const char *trsvcid );

ARGUMENTS

r   NVMe root element

subsysnqn
    Subsystem NQN

transport
    Transport type

traddr
    Transport address

host_traddr
    Host transport address

host_iface
    Host interface name

trsvcid
    Transport service ID

DESCRIPTION
Creates an unconnected controller to be used for nvme_add_ctrl.

RETURN
Controller instance